source: trunk/softs/tests_cc_vcache/test_interrupt_delayslot/run @ 520

Last change on this file since 520 was 520, checked in by bouyer, 11 years ago

Re-add the tests; reverting previous which was done at the wrong level (sorry)

  • Property svn:executable set to *
File size: 964 bytes
Line 
1#!/bin/sh
2
3. ../common/common.sh
4
5check_output()
6{
7        egrep "^end 0x0000DEAD$" run.out > /dev/null
8        if [ $? -ne 0 ]; then
9                echo "couldn't find string 1 in output - mtty not working ?" >> run.out
10                return 1
11        fi
12        egrep "^status 0x00400403 cause 0x80000000 pc 0xBFC00054 badva 0x00000000 xicu 0x[01][0-9A-F][01][0-9A-F][01][0-9A-F]00$" run.out > /dev/null
13        if [ $? -ne 0 ]; then
14                echo "couldn't find string 2 in output - mtty not working ?" >> run.out
15                return 1
16        fi
17        return 0;
18}
19
20
21for i in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70; do
22        make clean --quiet
23        make INTERRUPT_DELAY=$i --quiet || exit 1
24    ${SIMUL} > run.out 2>&1 
25        if [ $? -eq 0 ]; then
26                if check_output; then
27                        echo "test $i passed";
28                        make --quiet clean
29                    exit 0;
30                fi
31        else
32                echo "test FAILED"
33                exit 1
34        fi
35done
36echo "test FAILED"
Note: See TracBrowser for help on using the repository browser.